# OCR fonts for Rails

OCR A and OCR B fonts for Rails' asset pipeline.

The fonts are the original works of
[Matthew Skala](http://ansuz.sooke.bc.ca/page/fonts#ocrb) and have been
converted to formats suitable for the web.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'ocrfonts-rails'
```

And then execute:

    $ bundle

Finally add the stylesheet to your `app/assets/stylesheets/application.css`

    *= require ocrfonts

Note: If you rely on `rake assets:precompile` make sure you modify
`config/application.rb` to include the line:

    config.assets.precompile += %w[*.eot *.svg *.ttf *.woff]

## Usage

Set font-family to `ocraregular` or `ocrbregular` like so:

```css
.isbn {
  font-family: "ocraregular";
}
```

## Development

After checking out the repo, run `bin/setup` to install dependencies.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/erlend/ocrfonts-rails.

## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT), while the original fonts are public domain.

